var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { IsArray, IsOptional, IsString } from 'class-validator';
import { JSONSchema } from 'class-validator-jsonschema';
import { QueryDoc } from '@easylayer/common/shared-interfaces';
export class GetModelsQueryDto {
}
__decorate([
    IsArray(),
    IsString({ each: true }),
    JSONSchema({ description: 'Array of model IDs to retrieve current state for', example: ['mempool-1', 'network-1'] }),
    __metadata("design:type", Array)
], GetModelsQueryDto.prototype, "modelIds", void 0);
__decorate([
    IsOptional(),
    JSONSchema({ description: 'Filter criteria for model state retrieval', example: { blockHeight: 19000000 } }),
    __metadata("design:type", Object)
], GetModelsQueryDto.prototype, "filter", void 0);
let GetModelsQuery = class GetModelsQuery {
    constructor(payload) {
        this.payload = payload;
    }
};
GetModelsQuery = __decorate([
    QueryDoc({
        description: 'Retrieves current state of one or more EVM models at a specified block height',
        category: 'Core',
    }),
    __metadata("design:paramtypes", [Object])
], GetModelsQuery);
export { GetModelsQuery };
